summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Gilbert <floppym@gentoo.org>2012-05-05 18:03:33 +0000
committerMike Gilbert <floppym@gentoo.org>2012-05-05 18:03:33 +0000
commitc7ab309525a0a4811fe4291283723723162ca019 (patch)
treef8a55b0d2d5aebb65ab703423c203383529651ae /eclass
parentSimplify ${D%/}/ to ${D}; PMS says ${D} always has a trailing slash, and it w... (diff)
downloadgentoo-2-c7ab309525a0a4811fe4291283723723162ca019.tar.gz
gentoo-2-c7ab309525a0a4811fe4291283723723162ca019.tar.bz2
gentoo-2-c7ab309525a0a4811fe4291283723723162ca019.zip
Eliminate another duplicate slash.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/python-distutils-ng.eclass4
2 files changed, 6 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index c2f203feff01..7a0cd1a8b2a0 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.238 2012/05/05 18:00:21 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.239 2012/05/05 18:03:33 floppym Exp $
+
+ 05 May 2012; Mike Gilbert <floppym@gentoo.org> python-distutils-ng.eclass:
+ Eliminate another duplicate slash.
05 May 2012; Mike Gilbert <floppym@gentoo.org> python-distutils-ng.eclass:
Simplify ${D%/}/ to ${D}; PMS says ${D} always has a trailing slash, and it
diff --git a/eclass/python-distutils-ng.eclass b/eclass/python-distutils-ng.eclass
index 50339bc13681..f08c60fca49a 100644
--- a/eclass/python-distutils-ng.eclass
+++ b/eclass/python-distutils-ng.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-distutils-ng.eclass,v 1.17 2012/05/05 18:00:21 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-distutils-ng.eclass,v 1.18 2012/05/05 18:03:33 floppym Exp $
# @ECLASS: python-distutils-ng
# @MAINTAINER:
@@ -193,7 +193,7 @@ _python-distutils-ng_default_distutils_install() {
python-distutils-ng_redoscript() {
local sbn="$(basename "${1}")"
mkdir -p "${T}/_${sbn}/" || die "failed to create directory"
- mv "${D}/${1}" "${T}/_${sbn}/${sbn}" || die "failed to move file"
+ mv "${D}${1}" "${T}/_${sbn}/${sbn}" || die "failed to move file"
python-distutils-ng_doscript "${T}/_${sbn}/${sbn}" "${2}"
}